## Listado de opciones de configuración del núcleo

A continuación se muestra una lista de parte de las opciones de configuración usadas por el script configure de PHP cuando se compila en entornos como UNIX. La mayoría de las opciones de configuración se enumeran en su ubicación correspondiente de las páginas de referencia de cada extensión, no aquí. Para una lista actualizada y completa de las opciones de configuración, ejecute ./configure --help en el directorio origen de PHP después de ejecutar autoconf (véase también el capítulo de Instalación). Podría ser interesante también consultar la documentación de » GNU configure para mayor información en otras opciones de configure como `--prefix=PREFIJO`.

> Nota:

> Estas opciones se utilizan únicamente durante la compilación. Si desea alterar la configuración en tiempo de ejecución de PHP, por favor vea el capítulo sobre Configuración en tiempo de ejecución.

- Misceláneo
- Comportamiento de PHP
- Servidor

### Opciones de configuración en PHP

#### Otras opciones

--enable-debug

  Compilar con símbolos de depuración.

--with-layout=TYPE

  Establece la forma de presentar los ficheros instalados. El tipo es PHP (predeterminado) o GNU. Ten en cuenta que si estás instalando las páginas del manual bajo PREFIX (por defecto), elige el estilo GNU para que puedan ser encontradas en la ruta de búsqueda de la utilidad manpath.

--with-pear=DIR

  Instalar PEAR en DIR (valor predeterminado PREFIJO/lib/php).

--without-pear

  No instalar PEAR.

--enable-sigchild

  Habilitar el propio manejador SIGCHLD de PHP.

--disable-rpath

  Deshabilitar el paso de rutas adicionales de búsqueda de bibliotecas en tiempo de ejecución.

--enable-libgcc

  Habilitar explícitamente el enlazado con libgcc.

--enable-php-streams

  Incluir flujos de PHP experimentales. ¡No se use a menos que este probando el código!.

--with-zlib-dir[=DIR]

  Definir la localización del directorio de instalación de zlib.

--with-tsrm-pthreads

  Usar hilos de POSIX (predeterminado).

--enable-shared[=PKGS]

  Construir bibliotecas compartidas [predeterminado=yes].

--enable-static[=PKGS]

  Construir bibliotecas estáticas [predeterminado=yes].

--enable-fast-install[=PKGS]

  Optimizar para una instalación rápida [predeterminado=yes].

--with-gnu-ld

  Asumir que el compilador de C usa ld de GNU [predeterminado=no].

--disable-libtool-lock

  Evitar bloqueos (podría romper construcciones en paralelo).

--with-pic

  Intentar usar solo objetos PIC/no PIC [predeterminado=use both].

--enable-versioning

  Exportar solo los símbolos requeridos. Véase INSTALL para más información.

#### Opciones de PHP

--enable-maintainer-mode

  Habilita las reglas y dependencias de Make, que no son útiles (y en ocasiones son confusas) para el usuario habitual.

--with-config-file-path=PATH

  Establece la ruta a seguir para php.ini, el valor por defecto es `/PREFIX/lib`.

--disable-short-tags

  Deshabilita la forma corta de la etiqueta de inicio php <? por defecto.

--with-libdir

  Especifica el directorio donde existen las bibliotecas para construir PHP en un sistema Unix. Para sistemas de 64 bits, es necesario especificar este argumento al directorio `lib64`, como por ejemplo: `--with-libdir=lib64`.

--enable-zts

  Habilita la seguridad de hilos. Antes de PHP 8.0.0 en sistemas no Windows, la opción se llamaba --enable-maintainer-zts.

#### Opciones SAPI

La siguiente lista contiene los SAPI&s disponibles (`Server Application Programming Interface`) para PHP.

--with-apxs[=FILE]

  Crea un módulo compartido de Apache. FILE es la ruta opcional de la herramienta Apache apxs, por defecto a apxs. Asegúrese de especificar la versión de apxs que está instalada en su sistema y NO la que está en los fuentes de Apache.

--with-apache[=DIR]

  Crea un módulo estático de Apache. DIR es el directorio de Apache, por defecto es /usr/local/apache.

--with-mod_charset

  Habilita la tranferencia de tablas para mod_charset (Apache en Ruso).

--with-apxs2[=FILE]

  Crea un módulo compartido de Apache 2.0. FILE es la ruta opcional a la herramienta apxs, por defecto a apxs.

--disable-cli

  Deshabilita la versión CLI de PHP (esto fuerza--without-pear). Para mayor información, vea la sección acerca de Usando PHP desde la línea de comando.

--enable-phpdbg

  Habilitar el soporte para el módulo SAPI de depuración interactiva phpdbg.

--enable-embed[=TYPE]

  Habilita la creación de la librería SAPI. TYPE es `shared` o `static`, el valor por defecto es `shared`.

--with-servlet[=DIR]

  Incluye soporte para servlet. DIR es el directorio base de instalación de JSDK. Este SAPI requiere que la extensión de java sea creada como un dl compartido.

--disable-cgi

  Desabilita la versión CGI de la construcción de PHP.

  Este argumento también habilita FastCGI.